png++ 0.2.10

Public Member Functions | Protected Attributes | List of all members
png::info_base Class Reference

Internal class to hold PNG info or end_info. More...

`#include <info_base.hpp>`

Inheritance diagram for png::info_base:

## Public Member Functions
| info_base (io_base &io, png_struct *png)
png_info * | get_png_info () const
png_info ** | get_png_info_ptr ()

## Protected Attributes
io_base & | m_io
png_struct * | m_png
png_info * | m_info

## Detailed Description

Internal class to hold PNG info or end_info.

## Constructor & Destructor Documentation

## ◆ info_base()

png::info_base::info_base | ( | io_base & | io,
|  | png_struct * | png )
| inline

References m_info, m_io, and m_png.

## Member Function Documentation

## ◆ get_png_info()

png_info * png::info_base::get_png_info | ( |  | ) | const
| inline

References m_info.

## ◆ get_png_info_ptr()

png_info ** png::info_base::get_png_info_ptr | ( |  | ) |
| inline

References m_info.

## Member Data Documentation

## ◆ m_io

io_base& png::info_base::m_io
| protected

Referenced by info_base().

## ◆ m_png

png_struct* png::info_base::m_png
| protected

Referenced by png::end_info::destroy(), info_base(), png::end_info::read(), png::info::read(), png::info::sync_ihdr(), png::info::update(), png::end_info::write(), and png::info::write().

## ◆ m_info

png_info* png::info_base::m_info
| protected

Referenced by png::end_info::destroy(), get_png_info(), get_png_info_ptr(), info_base(), png::end_info::read(), png::info::read(), png::info::sync_ihdr(), png::info::update(), png::end_info::write(), and png::info::write().

The documentation for this class was generated from the following file:

- info_base.hpp